burgers_diffusion_operators.icc File Reference

The diffusive Burgers equation – operators. More...

Go to the source code of this file.

## Functions

field | lh (Float epsilon, Float t, const test &v)
field | gh (Float epsilon, Float t, const field &uh, const test &v)

## Detailed Description

The diffusive Burgers equation – operators.

This file is part of Rheolef.

Copyright (C) 2000-2009 Pierre Saramito Pierr.nosp@m.e.Sa.nosp@m.ramit.nosp@m.o@im.nosp@m.ag.fr

Rheolef is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

Rheolef is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with Rheolef; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

Definition in file burgers_diffusion_operators.icc.

## Function Documentation

## lh()

field lh | ( | Float | epsilon,
|  | Float | t,
|  | const test & | v
| ) |  |

Examples
  burgers_dg.cc, burgers_diffusion_dg.cc, burgers_diffusion_operators.icc, commute_rtd.cc, convect.cc, convect2.cc, convect_hdg.cc, cosinusprod_error_hdg_average.cc, cosinusprod_post_dg.cc, dirichlet-nh.cc, dirichlet.cc, dirichlet.icc, dirichlet2.cc, dirichlet_dg.cc, dirichlet_hdg.cc, dirichlet_hdg_average.icc, dirichlet_hho.cc, elasticity_solve.icc, elasticity_taylor_dg.cc, embankment.cc, heat.cc, helmholtz_band.cc, helmholtz_band_iterative.cc, helmholtz_s.cc, incompressible-elasticity.cc, laplace_band.cc, laplace_s.cc, leveque_dg.cc, mosolov_augmented_lagrangian2.icc, mosolov_residue.cc, navier_stokes_dg1.icc, navier_stokes_solve.icc, navier_stokes_taylor_dg.cc, neumann-laplace.cc, neumann-nh.cc, neumann_dg.cc, oldroyd_theta_scheme3.h, p_laplacian1.icc, p_laplacian_fixed_point.cc, poisson_robin.icc, reconstruction_hho.cc, robin.cc, sinusprod_error_hdg_average.cc, stokes_dirichlet_dg.icc, stokes_taylor_dg.cc, streamf_cavity.cc, streamf_cavity.icc, streamf_contraction.cc, streamf_obstacle_slip_move.cc, transmission-mixed.cc, transmission.cc, transport_dg.cc, transport_tensor_dg.cc, yield_slip1.icc, yield_slip_augmented_lagrangian.cc, yield_slip_augmented_lagrangian.icc, yield_slip_residue.cc, and zalesak_dg.cc.

Definition at line 25 of file burgers_diffusion_operators.icc.

## gh()

field gh | ( | Float | epsilon,
|  | Float | t,
|  | const field & | uh,
|  | const test & | v
| ) |  |

Examples
  burgers_diffusion_dg.cc, burgers_diffusion_operators.icc, oldroyd_theta_scheme2.h, and yield_slip2.icc.

Definition at line 37 of file burgers_diffusion_operators.icc.